# Interface UIEvents.Command

Enclosing class:
  `UIEvents`

public static interface UIEvents.Command

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CATEGORY`
`static final String`
`COMMANDNAME`
`static final String`
`DESCRIPTION`
`static final String`
`LOCALIZED_COMMANDNAME`
`static final String`
`LOCALIZED_DESCRIPTION`
`static final String`
`PARAMETERS`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_CATEGORY`
`static final String`
`TOPIC_COMMANDNAME`
`static final String`
`TOPIC_DESCRIPTION`
`static final String`
`TOPIC_LOCALIZED_COMMANDNAME`
`static final String`
`TOPIC_LOCALIZED_DESCRIPTION`
`static final String`
`TOPIC_PARAMETERS`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_CATEGORY

static final String TOPIC_CATEGORY

See Also:
  - Constant Field Values

### TOPIC_COMMANDNAME

static final String TOPIC_COMMANDNAME

See Also:
  - Constant Field Values

### TOPIC_DESCRIPTION

static final String TOPIC_DESCRIPTION

See Also:
  - Constant Field Values

### TOPIC_PARAMETERS

static final String TOPIC_PARAMETERS

See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_COMMANDNAME

static final String TOPIC_LOCALIZED_COMMANDNAME

Since:
  1.1
See Also:
  - Constant Field Values

### TOPIC_LOCALIZED_DESCRIPTION

static final String TOPIC_LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  - Constant Field Values

### CATEGORY

static final String CATEGORY

See Also:
  - Constant Field Values

### COMMANDNAME

static final String COMMANDNAME

See Also:
  - Constant Field Values

### DESCRIPTION

static final String DESCRIPTION

See Also:
  - Constant Field Values

### PARAMETERS

static final String PARAMETERS

See Also:
  - Constant Field Values

### LOCALIZED_COMMANDNAME

static final String LOCALIZED_COMMANDNAME

Since:
  1.1
See Also:
  - Constant Field Values

### LOCALIZED_DESCRIPTION

static final String LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  - Constant Field Values